sm-commit AT lists.ibiblio.org
Subject: Source Mage code commit list
List archive
[SM-Commit] GIT changes to master grimoire by Jaka Kranjc (e19a638c93b49f262b76504fe19889aac4dbdce0)
- From: Jaka Kranjc <scm AT sourcemage.org>
- To: sm-commit AT lists.ibiblio.org
- Subject: [SM-Commit] GIT changes to master grimoire by Jaka Kranjc (e19a638c93b49f262b76504fe19889aac4dbdce0)
- Date: Thu, 31 Jan 2008 06:41:58 -0600
GIT changes to master grimoire by Jaka Kranjc <lynxlynxlynx AT sourcemage.org>:
smgl/init.d/HISTORY | 3 +++
smgl/init.d/files/smgl_functions | 5 ++++-
2 files changed, 7 insertions(+), 1 deletion(-)
New commits:
commit e19a638c93b49f262b76504fe19889aac4dbdce0
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
init.d: smgl_functions: use the builtin echo if the output is not a tty
#13090
diff --git a/smgl/init.d/HISTORY b/smgl/init.d/HISTORY
index e200799..f572fdf 100644
--- a/smgl/init.d/HISTORY
+++ b/smgl/init.d/HISTORY
@@ -1,3 +1,6 @@
+2008-01-31 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
+ * smgl_functions: use the builtin echo if the output is not a tty
#13090
+
2007-11-20 Vlad Glagolev <stealth AT sourcemage.org>
* init.d/hostname.sh: added execution of `domainname'
(if exists /etc/defaultdomain containing the domain name)
diff --git a/smgl/init.d/files/smgl_functions
b/smgl/init.d/files/smgl_functions
index 01352fb..54e1179 100644
--- a/smgl/init.d/files/smgl_functions
+++ b/smgl/init.d/files/smgl_functions
@@ -29,7 +29,9 @@ SCRIPTC="builtin echo -en \\033[1;37m"
# log the messages hack
echo() {
- # builtin echo "$@" # PARALLEL
+if ! [[ -t 1 ]]; then
+ builtin echo "$@"
+else
INITSTORE="$INITSTORE$(builtin echo "$@")"
# correct for bash's insane strip trailing newline mumbo jumbo on command
substitutions
@@ -44,6 +46,7 @@ echo() {
if [ "`builtin echo "$INITSTORE" | ( i=0; while read LINE; do i=$((++i));
done; builtin echo $i)`" -gt 1 ]; then
print_status message
fi
+fi
}
export -f echo
export INITSTORE
- [SM-Commit] GIT changes to master grimoire by Jaka Kranjc (e19a638c93b49f262b76504fe19889aac4dbdce0), Jaka Kranjc, 01/31/2008
Archive powered by MHonArc 2.6.24.